Bug 22411 - Dates in log viewer not formatted correctly
Summary: Dates in log viewer not formatted correctly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-25 18:19 UTC by Katrin Fischer
Modified: 2019-05-27 12:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22411: Date and time in log viewer should respect (1.88 KB, patch)
2019-02-25 18:27 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22411: Date and time in log viewer should respect (1.93 KB, patch)
2019-02-25 18:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-02-25 18:19:12 UTC
The first column in the results of the log viewer has the date and time. Currently it shows in the 'database format'. It should respect date and time format settings.
Comment 1 Josef Moravec 2019-02-25 18:27:21 UTC
Created attachment 85649 [details] [review]
Bug 22411: Date and time in log viewer should respect

Test plan:
Go to log viewer and show some log
-- without patch the date ant time in first column is formatted as
yyyy-mm-dd hh:mm
-- with patch the date is formatted according to your dateformat system
preference
Comment 2 Katrin Fischer 2019-02-25 18:31:42 UTC
Created attachment 85650 [details] [review]
Bug 22411: Date and time in log viewer should respect

Test plan:
Go to log viewer and show some log
-- without patch the date ant time in first column is formatted as
yyyy-mm-dd hh:mm
-- with patch the date is formatted according to your dateformat system
preference

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2019-02-25 18:32:07 UTC
TT filter - simple enough to skip SO :)
Comment 4 Nick Clemens 2019-02-26 14:41:47 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-03-01 11:05:52 UTC
Pushed to 18.11.x for 18.11.04
Comment 6 Jesse Maseto 2019-03-08 18:56:54 UTC
Pushed to 18.05.x for 18.05.11